Get Workflow
http
GET https://services.leadconnectorhq.com/workflows/Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | ve9EPM428h8vShlRW1KT |
Responses
200 - Successful response
workflows(object[])id(string): Example:78559bb3-b920-461e-b010-7b2a2816d2a9name(string): Example:First Workflowstatus(string): Example:draftversion(number): Example:2createdAt(string): Example:2021-05-26T11:33:49.000ZupdatedAt(string): Example:2021-05-26T11:33:49.000ZlocationId(string): Example:eBG6WapS3v4ZqwA45MTxtYJ
json
{
"workflows": [
{
"id": "78559bb3-b920-461e-b010-7b2a2816d2a9",
"name": "First Workflow",
"status": "draft",
"version": 2,
"createdAt": "2021-05-26T11:33:49.000Z",
"updatedAt": "2021-05-26T11:33:49.000Z",
"locationId": "eBG6WapS3v4ZqwA45MTxtYJ"
}
]
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/workflows/' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/workflows/', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/workflows/',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/workflows/');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);